<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap" rel="stylesheet">
    <title>Document</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <!-- <div class="header">
        
            <img src="profile.jpg" class = "profile" alt="">
        
        <div class="headerfirst">
            <p class="name">Bereket Assefa</p>
            <p style="padding:0 0 0 20px;background-color: white;">Student in BDU</p>
            <p style="padding:0 0 0 20px;background-color: white;">BahirDar</p>
        </div>
        <div class="headersecond">
        </div>
    </div> -->
    <div class="outer">
        <div class="bimg">
            <img src="./profile.jpg" class="profileimg" alt="">
        </div>
    </div>
    <div class="detailcontainer">

        <div class="somedetail">
            <div class="each">
                <span class="subtit">Name</span><br>
                Bereket assefa 
            </div>
            <div class="each">
                <span class="subtit">Field</span><br>
                Software Engineering
            </div>
            <div class="each">
                <span class="subtit">Location</span><br>
                Bahir Dar
            </div>

        </div>


    </div>
    <div class="mainbody">
        <ul>
            <li><Button class="active" data-num="0">Basic Detail</Button></li>
            <li><Button class="pass" data-num="1">Brief Bio</Button></li>
            <li><Button class="pass" data-num="2">Education Detail</Button></li>
        </ul>
        <div class="a first show" >
           
            <table>
                <tr>
                    <td style="padding-right: 80px;"> <p class="title" style="font-size:15px">Full Name</p></td>
                    <td>Bereket Assefa Gedefaw</td>
                </tr>
                <tr>
                    <td> <p class="title" style="font-size:15px">Address</p></td>
                    <td>BahirDar</td>
                </tr>
                <tr>
                    <td> <p class="title" style="font-size:15px">Date of birth</p></td>
                    <td>1993-02-03</td>
                </tr>
                <tr>
                    <td> <p class="title" style="font-size:15px">Place of birth</p></td>
                    <td>BahirDar</td>
                </tr>
                <tr>
                    <td> <p class="title" style="font-size:15px">Career of choice</p></td>
                    <td>Software Engineering</td>
                </tr>
            </table>
        </div>
        <div class="a second" >
            <p class="title">Interest</p>
            <p class="bodyp">
                The reasons for my interests come from my general enthusiasm for learning and reading about everything. I chose Software because that seemed to be my strength, which derived from my curiosity in technology. From an early start, I was wondering how technology work. 
                As I grew up, my interests evolved around subjects in IT and drawing in high school. These interests were furthered in time spent in my high school experience in BDU STEM center. During my highschool time , I have the opportunity to take python , c++ and web programming .I also met a lot of amazing student with different view about technology
                </p>

            <p class="title">Career plan</p>
            <p class="bodyp">My dream job is to become a successful software engineer because I have always been into computer systems, but can I fit this job, is the career life something I can manage and what opportunities should I go after when becoming a software engineer. Each time I notice how a program is used I wonder how can I make it become faster or more efficient. When you are using your cell phone or iPad there is usually an update at every month.
            </p>
            <p class="bodyp">
                
            </p>
            <p class="title">Dreams of trainee</p>
            <p class="bodyp">My dream job is to own my own business someday to become an entrepreneur. “Entrepreneur is someone who has a vision of something and a want to create” once said by David Karp, Tumblr founder and CEO. To take responsibility to be the person that is the leader of my team. To help my vision come to life and be successful at it, I will need to reach my goals and gain knowledge. My wiliness to help others find their goals in life and them to accomplish them.I was always taught that if I ever want to own my own business that I needed to be dedicated to my business, skills I have that will help yours truly and love doing. I have thought about what business I want to start for a long time then it came to myself. I want to create a business that I can expand so it can grow into my vision.</p>
        </div>
        <div class="a third" >
            <p class="title">Primary School</p>
            <p class="bodyp">
                I studied from grade 1 up to grade 5 in BahirDar Acadamy which is located in bahir dar , after that i spend 3 years in Teyima Primary School which is  up to grade 8  located in  my town. 
            </p>

            <p class="title">Higher Education</p>
            <p class="bodyp">I studied the rest in BDU STEM center .BDU STEM center is program by Bahir dar uniersity which is started with collaboration with Tana haik secondary and preparatory school.We study natural subject in the STEM center and social subjects in tana haik like Amharic , Sport. After that i am attending my collage in Bahir Dar University</p>
        </div>
    </div>
    <script>
        clearall()
            function clearall(){
                Array.from(document.getElementsByClassName('a')).forEach(
                    each => {
                        each.classList.remove('show');
                        each.classList.add('hide');
                    }
                );
            }
            function show(numm){
                Array.from(document.getElementsByClassName('a'))[numm].classList.remove('hide');
                Array.from(document.getElementsByClassName('a'))[numm].classList.add('show');
            }

            document.querySelectorAll('button').forEach(each => {
              
                each.onclick = () => {
                    clear();
                    clearall();
                    show(each.dataset.num);
                    each.classList.remove('pass');
                    each.classList.add("active");
                }
            })
            function clear(){
                console.log("function called;")
                document.querySelectorAll('button').forEach(each => {
                        
                        each.classList.remove('active');
                    
                })
            }
            Array.from(document.getElementsByClassName('a'))[0].classList.add('show');
    </script>
</body>
</html>